com.jscape.inet.terminal.commands

## Class CPRCommand

- java.lang.Object
- - com.jscape.inet.terminal.commands.CPRCommand

- All Implemented Interfaces:
    ControlCommand

      public class CPRCommand
      extends java.lang.Object
      implements ControlCommand

  CPR -- Cursor Position Report. The CPR sequence reports the active position by means of the parameters. This sequence has two parameter values, the first specifying the line and the second specifying the column. The default condition with no parameters present, or parameters of 0, is equivalent to a cursor at home position. The numbering of lines depends on the state of the Origin Mode (DECOM). This control sequence is solicited by a device status report (DSR) sent from the host.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CANONICAL_FORM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(int[] params, Terminal terminal)` Executes command giving parameters and `Terminal` object.
    `static CPRCommand` | `getInstance()` Returns one and only one instance of this type.
    `void` | `send(int[] params, Terminal terminal)` Sends command to remote host.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CANONICAL_FORM

          public static final java.lang.String CANONICAL_FORM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static final CPRCommand getInstance()

      Returns one and only one instance of this type.
      Returns:
        one and only one instance of this type.

    - #### execute

          public void execute(int[] params,
                              Terminal terminal)

      Executes command giving parameters and `Terminal` object.
      Specified by:
        `execute` in interface `ControlCommand`
      Parameters:
        `params` - array of `int` command parametrs.
        `terminal` - target `Terminal` object.

    - #### send

          public void send(int[] params,
                           Terminal terminal)

      Sends command to remote host.
      Specified by:
        `send` in interface `ControlCommand`
      Parameters:
        `params` - command parameters.
        `terminal` - target `Terminal` object to send command.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved